// abs_r_acad_winDlg.cpp : implementation file
//

#include "stdafx.h"
#include "abs_r_acad_win.h"
#include "abs_r_acad_winDlg.h"

//
#include <math.h>
#include <string.h>
//#include <stdio.h>
#include "comm11.hpp"
#include "comm22.hpp"
#define PI 3.14159265
#define H1 0.01
//

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAcadDlg dialog

IMPLEMENT_DYNAMIC(CAcadDlg, CDialog);

CAcadDlg::CAcadDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAcadDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAcadDlg)
	m_dir_file_ext = _T("");
	m_file_ext = _T("");
	m_file = _T("");
	m_ext = _T("");
	m_check = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_pAutoProxy = NULL;
}

CAcadDlg::~CAcadDlg()
{
	
}

void CAcadDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAcadDlg)
	DDX_Check(pDX, IDC_CHECK1, m_check);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAcadDlg, CDialog)
	//{{AFX_MSG_MAP(CAcadDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BUTTON2, OnButtonFileOpen)
	ON_BN_CLICKED(IDC_BUTTON3, OnButtonRun)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAcadDlg message handlers

BOOL CAcadDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
CEdit *ebptr;ebptr=(CEdit *)GetDlgItem(IDC_EDIT_FILE);
ebptr->SetWindowText("<File>");
ebptr=(CEdit *)GetDlgItem(IDC_EDIT_DIR);
ebptr->SetWindowText("<Dir>");
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CAcadDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CAcadDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CAcadDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

// Automation servers should not exit when a user closes the UI
//  if a controller still holds on to one of its objects.  These
//  message handlers make sure that if the proxy is still in use,
//  then the UI is hidden but the dialog remains around if it
//  is dismissed.

void CAcadDlg::OnClose() { if (CanExit()) CDialog::OnClose(); }
void CAcadDlg::OnCancel() 
{ if (CanExit()) CDialog::OnClose();
  CDialog::OnCancel();
}
void CAcadDlg::OnOK() { }

BOOL CAcadDlg::CanExit()
{
	// If the proxy object is still around, then the automation
	//  controller is still holding on to this application.  Leave
	//  the dialog around, but hide its UI.
	if (m_pAutoProxy != NULL) { ShowWindow(SW_HIDE); return FALSE; }
	return TRUE;
}

void CAcadDlg::OnButtonFileOpen() 
{
char *ptr,c='\\',szFileName[255];
CEdit *ebptr; int result;

CFileDialog mFileOpen(TRUE);

 mFileOpen.m_ofn.lpstrFilter=(LPSTR)"  (*.up)\0*.up\0Unigraphics (ptp - ) (*.ptp)\0*.ptp\0  (*.*)\0*.*\0";
 mFileOpen.m_ofn.Flags= OFN_FILEMUSTEXIST | OFN_HIDEREADONLY | OFN_PATHMUSTEXIST;

/*   OPEN FILE*/
 result= mFileOpen.DoModal();
 if (result==IDCANCEL) { MessageBeep(0); }
  else { 
/*     (title.ext)*/
   m_file_ext=mFileOpen.GetFileName();
   ebptr=(CEdit *)GetDlgItem(IDC_EDIT_FILE);
   ebptr->SetWindowText(m_file_ext);
/*      (title).(ext)*/
   m_file=mFileOpen.GetFileTitle();
   m_ext=mFileOpen.GetFileExt();
/*  [+] */  
   m_dir_file_ext=mFileOpen.GetPathName();
/* []  [+]*/  
   ptr=strrchr(m_dir_file_ext,c);szFileName[0]='\0'; 
   if (ptr) {  strncpy(szFileName,m_dir_file_ext,ptr-m_dir_file_ext); szFileName[ptr-m_dir_file_ext]='\0';   }
   ebptr=(CEdit *)GetDlgItem(IDC_EDIT_DIR);
   ebptr->SetWindowText((LPSTR)szFileName);
 }
	
}

void CAcadDlg::OnButtonRun() 
{
	// TODO: Add your control notification handler code here
	CEdit *ebptr;
char str_edit[255];	 str_edit[0]='\0';
int i;
char str_print_mess[255]; str_print_mess[0]='\0';  
FILE *in,*on;
i=UpdateData(TRUE);
if (i==0) return; 

  in=fopen(m_dir_file_ext,"r"); 
  if (in==NULL) { 
	 sprintf(str_print_mess," \n [ %s ] \n\t   !",m_dir_file_ext);
	 AfxMessageBox(str_print_mess);
	 return ; 
  }

  char *ptr,c='\\';
  ptr=strrchr(m_dir_file_ext,c);str_edit[0]='\0'; 
  if (ptr) {  strncpy(str_edit,m_dir_file_ext,ptr-m_dir_file_ext); str_edit[ptr-m_dir_file_ext]='\0';   }

  strncat(str_edit,"\\",1); strncat(str_edit,m_file,strlen(m_file)); strncat(str_edit,".lsp",4);
//AfxMessageBox(str_edit);
//strcpy(str_edit,m_file);strncat(str_edit,".lsp",4);
 
  on=fopen(str_edit,"r"); 
  if (on!=NULL) { 
	 fclose(on); 
     str_print_mess[0]='\0';
	 sprintf(str_print_mess," [ %s ] \n   \n   ?",str_edit);
	 i=AfxMessageBox((LPCTSTR)str_print_mess,MB_YESNO|MB_ICONQUESTION|MB_DEFBUTTON1,0);
     if (i==IDNO) { fclose(in); return ;}
  }

  on=fopen(str_edit,"w"); 
  if (on==NULL) { 
	  str_print_mess[0]='\0';
	  sprintf(str_print_mess,"     \n [ %s ]",str_edit);
	  AfxMessageBox((LPCTSTR)str_print_mess,MB_ICONSTOP|MB_OK,0);
	  return; 
  }

if (m_check==1) AfxMessageBox("1"); else AfxMessageBox("0");






 str_print_mess[0]='\0'; sprintf(str_print_mess," [ %s ]   \n ",str_edit);
AfxMessageBox(str_print_mess); 
	
}

